<template>
  <CModal
    :show.sync="visible"
    :centered="false"
    :close-on-backdrop="false"
    class="modal-form modal-form-2-col"
    @open="$emit('open')"
    @close="$emit('close')"
  >
    <template #header>
      <h6 class="modal-title">
        <font-awesome-icon :icon="['fas', `${id ? 'pencil-alt' : 'plus-circle'}`]" />
        {{ id ? 'Edit member' : 'オークションお申込み' }}
      </h6>
      <CButtonClose @click="onCancel" />
    </template>

    <user-form
      :id="id"
      @close="onCancel"
    />

    <template #footer>
      <span />
    </template>
  </CModal>
</template>

<script>
import UserForm from './UserForm'

export default {
  components: {
    UserForm
  },

  props: {
    /**
     * User id
     */
    id: {
      type: Number,
      default: 0
    }
  },

  data () {
    return {
      visible: false
    }
  },

  methods: {
    /**
     * Open dialog
     */
    open () {
      this.visible = true
    },

    /**
     * When you click Cancel button
     */
    onCancel () {
      this.visible = false
    }
  }
}
</script>
